Package org.eclipse.rdf4j.federated.structures

## Class SubQuery

- java.lang.Object
- - org.eclipse.rdf4j.federated.structures.SubQuery

- All Implemented Interfaces:
    `Serializable`

      public class SubQuery
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Resource[]` | `contexts` | the contexts, length zero array for triple mode query
    `protected Value` | `obj` |
    `protected IRI` | `pred` |
    `protected Resource` | `subj` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SubQuery​(Resource subj, IRI pred, Value obj, Resource... contexts)` |
    `SubQuery​(StatementPattern stmt, Dataset dataset)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Resource[]` | `contexts()` |
    `boolean` | `equals​(Object obj)` |
    `int` | `hashCode()` |
    `boolean` | `isUnbound()` |
    `Value` | `object()` |
    `IRI` | `predicate()` |
    `Resource` | `subject()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### subj

          protected final Resource subj

    - #### pred

          protected final IRI pred

    - #### obj

          protected final Value obj

    - #### contexts

          protected final Resource[] contexts

      the contexts, length zero array for triple mode query

  - ### Constructor Detail

    - #### SubQuery

          public SubQuery​(Resource subj,
                          IRI pred,
                          Value obj,
                          Resource... contexts)

    - #### SubQuery

          public SubQuery​(StatementPattern stmt,
                          Dataset dataset)

  - ### Method Detail

    - #### isUnbound

          public boolean isUnbound()

      Returns:
        true if this subquery is unbound in all three positions

    - #### subject

          public Resource subject()

    - #### predicate

          public IRI predicate()

    - #### object

          public Value object()

    - #### contexts

          public Resource[] contexts()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals​(Object obj)

      Overrides:
        `equals` in class `Object`